;;; 50mhc.el --- Debian mhc startup file  -*-mode: emacs-lisp;-*-

(let* ((pkg "mhc")
       (flavor-name (if (boundp 'debian-emacs-flavor)
			(symbol-name debian-emacs-flavor)
		      "emacs"))
       (pkg-inst (concat "/usr/lib/emacsen-common/packages/install/" pkg))
       (elc-dir (concat "/usr/share/" flavor-name "/site-lisp/" pkg)))
  (when (and (file-exists-p elc-dir)
	     (file-exists-p pkg-inst))
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item elc-dir)
      (setq load-path (cons elc-dir load-path)))
    (autoload 'mhc "mhc" "Message Harmonized Calendar system." t)
    (autoload 'mhc-goto-this-month "mhc" "Show schedules of this month." t)
    (autoload 'mhc-import "mhc" "Import a schedule from the current article." t)
    (setq mhc-icon-path "/usr/share/pixmaps/mhc")
    ;;
    ))

;;; 50mhc.el ends here
